package xiaoqu.home.open.model.db1;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 分润管理明细
 * </p>
 *
 * @author wh
 * @since 2023-12-01
 */
@TableName("airqualitylevelgrade")
@ApiModel(value="Airqualitylevelgrade对象", description="分润管理明细")
public class Airqualitylevelgrade extends Model<Airqualitylevelgrade> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "创建id")
    @TableField("create_id")
    private Long createId;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty(value = "修改id")
    @TableField("modify_id")
    private Long modifyId;

    @ApiModelProperty(value = "修改时间")
    @TableField("modify_time")
    private Date modifyTime;

    @ApiModelProperty(value = "数据状态")
    @TableField("soft_delete")
    private Integer softDelete;

    @ApiModelProperty(value = "指标")
    @TableField("targer")
    private String targer;

    @ApiModelProperty(value = "档位最低")
    @TableField("gt")
    private BigDecimal gt;

    @ApiModelProperty(value = "档位最高")
    @TableField("lte")
    private BigDecimal lte;

    @ApiModelProperty(value = "排序")
    @TableField("orderby")
    private Integer orderby;

    @ApiModelProperty(value = "颜色")
    @TableField("color")
    private String color;

    @ApiModelProperty(value = "icon")
    @TableField("icon")
    private String icon;

    @ApiModelProperty(value = "文字描述")
    @TableField("memo")
    private String memo;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getCreateId() {
        return createId;
    }

    public void setCreateId(Long createId) {
        this.createId = createId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Long getModifyId() {
        return modifyId;
    }

    public void setModifyId(Long modifyId) {
        this.modifyId = modifyId;
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    public Integer getSoftDelete() {
        return softDelete;
    }

    public void setSoftDelete(Integer softDelete) {
        this.softDelete = softDelete;
    }

    public String getTarger() {
        return targer;
    }

    public void setTarger(String targer) {
        this.targer = targer;
    }

    public BigDecimal getGt() {
        return gt;
    }

    public void setGt(BigDecimal gt) {
        this.gt = gt;
    }

    public BigDecimal getLte() {
        return lte;
    }

    public void setLte(BigDecimal lte) {
        this.lte = lte;
    }

    public Integer getOrderby() {
        return orderby;
    }

    public void setOrderby(Integer orderby) {
        this.orderby = orderby;
    }

    public String getColor() {
        return color;
    }

    public void setColor(String color) {
        this.color = color;
    }

    public String getIcon() {
        return icon;
    }

    public void setIcon(String icon) {
        this.icon = icon;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "Airqualitylevelgrade{" +
        "id=" + id +
        ", createId=" + createId +
        ", createTime=" + createTime +
        ", modifyId=" + modifyId +
        ", modifyTime=" + modifyTime +
        ", softDelete=" + softDelete +
        ", targer=" + targer +
        ", gt=" + gt +
        ", lte=" + lte +
        ", orderby=" + orderby +
        ", color=" + color +
        ", icon=" + icon +
        ", memo=" + memo +
        "}";
    }
}
